Query Resolved Objects

Query Resolved Objects
Query Resolved Objects

Retrieves paginated list of objects that were successfully resolved from the CSV data to NSX entities (VMs, segments, etc.) with optional filtering. Note that unresolved ips will always be empty in the response because this API is for resolved objects only.

Notes

  • Supported sort_by values: displayName (default), objectType
  • Returns 200 on success
Request
URI
POST
https://{api_host}/ssp/segmentation/{session-id}/results/resolved-objects
COPY
Path Parameters
string
session-id
Required  

Unique identifier of the segmentation session


Request Body

Query parameters for filtering and pagination

ResolvedObjectsRequest of type(s) application/json
Required  
This request body class requires all of the following: ListRequestParameters , InlineResolvedObjectsRequest1
{
    "site_ids": [
        "123a456b-123c-456d-89ab-cdef12345678"
    ],
    "offset": 0,
    "page_size": 1000,
    "sort_ascending": false,
    "sort_by": "displayName",
    "object_type": [
        "VIRTUAL_MACHINE"
    ]
}
Authentication
This operation uses the following authentication methods.
Responses
200

The paginated list of assets given the (tag, scope) pair is returned to the user.

Returns ResolvedObjectInfoListResult of type(s) application/json
This response body class contains all of the following: ListResult , InlineResolvedObjectInfoListResult1
{
    "offset": 0,
    "number_of_results": 3,
    "total_result_count": 3,
    "total_pages": 1,
    "sort_ascending": false,
    "sort_by": "displayName",
    "result": [
        {
            "id": "7b3c9e12-a54f-4d8b-91c2-3e4f5a6b7c8d",
            "display_name": "win10_vm_2",
            "site_id": "123a456b-123c-456d-89ab-cdef12345678",
            "object_type": "VIRTUAL_MACHINE"
        },
        {
            "id": "f4e3d2c1-b0a9-4f8e-bd7c-6b5a4321fedc",
            "display_name": "win10_vm_1",
            "site_id": "123a456b-123c-456d-89ab-cdef12345678",
            "object_type": "VIRTUAL_MACHINE"
        },
        {
            "id": "a1b2c3d4-e5f6-4a5b-bcde-f1234567890a",
            "display_name": "inc_1_nesx-node0_vm",
            "site_id": "123a456b-123c-456d-89ab-cdef12345678",
            "object_type": "VIRTUAL_MACHINE"
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/segmentation/{session-id}/results/resolved-objects